Signature API.
Building & signing packages:

How to add or remove a signature from a package header. More...

Collaboration diagram for Signature API.:

## Functions

int | rpmPkgSign (const char *path, const struct rpmSignArgs *args)
| Sign a package. More...
int | rpmPkgDelSign (const char *path, const struct rpmSignArgs *args)
| Delete signature(s) from a package. More...

## Detailed Description

How to add or remove a signature from a package header.

## Function Documentation

## rpmPkgDelSign()

int rpmPkgDelSign | ( | const char * | path,
|  | const struct rpmSignArgs * | args
| ) |  |

Delete signature(s) from a package.

Parameters

  path | path to package
  args | signing parameters (or NULL for defaults)

Returns
  0 on success

## rpmPkgSign()

int rpmPkgSign | ( | const char * | path,
|  | const struct rpmSignArgs * | args
| ) |  |

Sign a package.

Parameters

  path | path to package
  args | signing parameters (or NULL for defaults)

Returns
  0 on success